<template>
  <div class="container">
    <nuxt-link to="/">
      <img class="logo" src="/acolher.me.svg" alt="Logotipo do Acolher.me" />
    </nuxt-link>

    <div class="header__content">
      <div class="header__content-wrapper">
        <h1 class="header__content-title">
          Ainda precisamos verificar seu email
        </h1>
        <p class="header__content-subtitle">
          Um link de verificação foi enviado para sua caixa de entrada.
        </p>
        <br />
        <p class="header__content-subtitle">
          Não recebeu o link?
        </p>
        <a-button type="primary" size="large" ghost>
          Clique aqui para reenviarmos
        </a-button>
      </div>

      <div class="header__content-wrapper-img">
        <img
          class="header__content-illustration"
          src="/illustrations/email-verification.svg"
          alt="Ilustração - Verificação de email"
        />
      </div>
    </div>
  </div>
</template>

<script>
import { mapState } from 'vuex'

export default {
  middleware: 'auth',
  computed: mapState({
    isVerified: (store) => store.user.isVerified
  }),
  watch: {
    isVerified(value) {
      if (value) {
        this.$router.push({ path: '/admin' })
      }
    }
  }
}
</script>

<style lang="less" scoped>
.container {
  display: flex;
  flex-direction: column;
  position: relative;
  width: 100%;
  justify-content: space-between;
  align-items: center;

  @media screen and (min-width: 768px) {
    flex-direction: row;
    overflow: hidden;
    height: 100vh;
  }
}

.logo {
  position: absolute;
  top: 25px;
  left: 25px;
  width: 180px;
  cursor: pointer;
}

.header {
  &__container {
    width: 100%;
  }

  &__content {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    width: 100%;
    padding: 20px;

    @media only screen and (max-width: 800px) {
      flex-direction: column;
      align-items: flex-end;
    }

    &-wrapper {
      width: 100%;
      padding-right: 40px;

      @media only screen and (max-width: 800px) {
        flex-direction: column;
        order: 1;
        margin-top: 100px;
      }

      &-img {
        text-align: right;
        width: 75%;

        @media only screen and (max-width: 800px) {
          flex-direction: column;
          order: 2;
        }
      }
    }

    &-title {
      color: @primary-color;
      font-weight: bold;
      font-size: 4.6rem;
      line-height: 5.6rem;

      @media only screen and (max-width: 800px) {
        font-size: 4rem;
      }
    }

    &-subtitle {
      color: @third-color;
      font-weight: 600;
      font-size: 2rem;
    }

    &-illustration {
      width: 100%;
    }
  }
}
</style>
